# frozen_string_literal: true

require_relative "weather_spb/version"
require "net/http"
require "json"
module WeatherSpb
  class Temp 
  def temperature
    uri = URI('https://www.7timer.info/bin/astro.php?lon=59.9&lat=30.3&ac=0&unit=metric&output=json&tzshift=0')

    res = Net::HTTP.get(uri)
    series = JSON.parse(res)['dataseries']

    sum = series.map{ |serie| serie['temp2m']/2}.sum
    puts sum/series.length
  end
end

end
